## ros-noetic-phidgets-high-speed-encoder 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(phidgets_high_speed_encoder)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# High level of warnings:
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS nodelet phidgets_api phidgets_msgs pluginlib roscpp roslaunch sensor_msgs)

catkin_package(
    CATKIN_DEPENDS nodelet phidgets_api phidgets_msgs pluginlib roscpp sensor_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(phidgets_high_speed_encoder src/high_speed_encoder_ros_i.cpp)
add_library(phidgets_high_speed_encoder_nodelet src/phidgets_high_speed_encoder_nodelet.cpp)

add_dependencies(phidgets_high_speed_encoder ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_high_speed_encoder_nodelet ${catkin_EXPORTED_TARGETS})

target_link_libraries(phidgets_high_speed_encoder ${catkin_LIBRARIES})
target_link_libraries(phidgets_high_speed_encoder_nodelet ${catkin_LIBRARIES} phidgets_high_speed_encoder)

install(TARGETS phidgets_high_speed_encoder phidgets_high_speed_encoder_nodelet
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES phidgets_high_speed_encoder_nodelet.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

roslaunch_add_file_check(launch)

## ros-noetic-phidgets-high-speed-encoder 1.0.6

=== debian/changelog ===
ros-noetic-phidgets-high-speed-encoder (1.0.6-1buster) buster; urgency=high

  * Support configuring encoder data interval and IO Mode (#137 <https://github.com/ros-drivers/phidgets_drivers/issues/137>)
  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * Don't modify CMAKE_CXX_FLAGS
  * Fix clang-format
  * Add support for VINT networkhub (#127 <https://github.com/ros-drivers/phidgets_drivers/issues/127>)
  * BUGFIX: duplicated values for all encoders (#124 <https://github.com/ros-drivers/phidgets_drivers/issues/124>)
  * Contributors: Ben Schattinger, James Haley, Jose Luis Blanco-Claraco, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.5-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.4-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.3-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.1-1buster) buster; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.0-1buster) buster; urgency=high

  * Update maintainers in package.xml
  * Switch to libphidget22
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
    If an error occurs, we catch it, print it, then re-throw it.
    This allows us to show a better error when using nodelets.
  * Fixes from review.
  * Documentation updates to README.md
  * Set the publish_rate to 0 by default.
    This means we will only publish on changes.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Fix a small typo.
  * Rewrite High Speed Encoder to use libphidget22.
  * Rename Phidget class to Phidget21 class.
  * Remove unused std_msgs dependency from Phidgets High Speed Encoder.
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Split custom messages into their own package.
  * Rewrite the high speed encoder node.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Style cleanup.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.9-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.8-1buster) buster; urgency=high

  * phidgets_high_speed_encoder: fix missing tick2rad values (#30 <https://github.com/ros-drivers/phidgets_drivers/issues/30>)
  * Contributors: Charles Brian Quinn

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.7-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.6-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.5-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.4-1buster) buster; urgency=high

  * Merge pull request #15 <https://github.com/ros-drivers/phidgets_drivers/issues/15> from jlblancoc/kinetic
    Add Phidgets high-speed encoder package
  * Contributors: Jose Luis Blanco-Claraco, Geoff Viola, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.3-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.1-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.0-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 16:40:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.2.3-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 11:11:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.2.2-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.2.1-1buster) buster; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 14 Jan 2015 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-phidgets-high-speed-encoder
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-nodelet, ros-noetic-phidgets-api, ros-noetic-phidgets-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-phidgets-high-speed-encoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-nodelet, ros-noetic-phidgets-api, ros-noetic-phidgets-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-sensor-msgs
Description: Driver for the Phidgets high speed encoder devices

## ros-noetic-phidgets-high-speed-encoder 1.0.7

=== debian/changelog ===
ros-noetic-phidgets-high-speed-encoder (1.0.7-1focal) focal; urgency=high

  * BUGFIX: Z-channel index was not observed in reported positions (#158 <https://github.com/ros-drivers/phidgets_drivers/issues/158>)
    * fix doxygen format and ensure initial values
    * BUGFIX: Encoder index was not used
  * BUGFIX: Wrong speed conversion factor (#155 <https://github.com/ros-drivers/phidgets_drivers/issues/155>)
    The current code assumed time intervals from the Phidgets API was microseconds, but it's actually milliseconds. Reported speeds are all wrong by a factor of 1e3.
  * Contributors: Jose Luis Blanco-Claraco

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.6-1focal) focal; urgency=high

  * Support configuring encoder data interval and IO Mode (#137 <https://github.com/ros-drivers/phidgets_drivers/issues/137>)
  * Merge pull request #129 <https://github.com/ros-drivers/phidgets_drivers/issues/129> from mintar/feat-pre-commit
    Add pre-commit, move from travis to GitHub actions, fix style
  * Don't modify CMAKE_CXX_FLAGS
  * Fix clang-format
  * Add support for VINT networkhub (#127 <https://github.com/ros-drivers/phidgets_drivers/issues/127>)
  * BUGFIX: duplicated values for all encoders (#124 <https://github.com/ros-drivers/phidgets_drivers/issues/124>)
  * Contributors: Ben Schattinger, James Haley, Jose Luis Blanco-Claraco, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 30 Nov 2022 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 16 Feb 2022 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 21 Oct 2021 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 28 Sep 2021 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 08 Mar 2021 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.1-1focal) focal; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 03 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (1.0.0-1focal) focal; urgency=high

  * Update maintainers in package.xml
  * Switch to libphidget22
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
    If an error occurs, we catch it, print it, then re-throw it.
    This allows us to show a better error when using nodelets.
  * Fixes from review.
  * Documentation updates to README.md
  * Set the publish_rate to 0 by default.
    This means we will only publish on changes.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Fix a small typo.
  * Rewrite High Speed Encoder to use libphidget22.
  * Rename Phidget class to Phidget21 class.
  * Remove unused std_msgs dependency from Phidgets High Speed Encoder.
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Split custom messages into their own package.
  * Rewrite the high speed encoder node.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Style cleanup.
  * Switch to package format 2.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.9-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.8-1focal) focal; urgency=high

  * phidgets_high_speed_encoder: fix missing tick2rad values (#30 <https://github.com/ros-drivers/phidgets_drivers/issues/30>)
  * Contributors: Charles Brian Quinn

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.4-1focal) focal; urgency=high

  * Merge pull request #15 <https://github.com/ros-drivers/phidgets_drivers/issues/15> from jlblancoc/kinetic
    Add Phidgets high-speed encoder package
  * Contributors: Jose Luis Blanco-Claraco, Geoff Viola, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.7.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 16:40:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.2.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 11:11:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.2.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 22 Mar 2015 23:00:00 -0000

ros-noetic-phidgets-high-speed-encoder (0.2.1-1focal) focal; urgency=high





=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-phidgets-high-speed-encoder//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
